Skip to main content
GET
/
v1
/
reactions
List reactions
curl --request GET \
  --url https://api.messages.dev/v1/reactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "message_id": "<string>",
      "type": "<string>",
      "sender": "<string>",
      "is_from_me": true,
      "added": true,
      "sent_at": 123,
      "synced_at": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Query Parameters

message_id
string
required

Message ID (msg_...) or iMessage GUID

Example:

"msg_abc123"

Response

List of reactions

data
object[]
has_more
boolean

Whether more items exist beyond this page

next_cursor
string | null

Cursor to pass as cursor query parameter for the next page

request_id
string